repo/gentoo:master commit in: dev-python/httpx-socks/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786777647.d715733ae7dc6f70997b68ef1459f79da24d7bdd.mgorny@gentoo> |
commit: d715733ae7dc6f70997b68ef1459f79da24d7bdd
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 05:45:33 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 07:07:27 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d715733a
dev-python/httpx-socks: Bump to 0.13.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/httpx-socks/Manifest | 1 +
dev-python/httpx-socks/httpx-socks-0.13.1.ebuild | 52 ++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-python/httpx-socks/Manifest b/dev-python/httpx-socks/Manifest
index fb48a2a7cd6f..fa01b929913d 100644
--- a/dev-python/httpx-socks/Manifest
+++ b/dev-python/httpx-socks/Manifest
@@ -1,3 +1,4 @@
DIST httpx-socks-0.11.0.gh.tar.gz 15579 BLAKE2B 33a4112f6f1d1d56869adfcfe79a538ce4fbe99cde44d400fdee93f256a9adf27ee97d22450ff685cad61c8df478b1eca1a3f3a7b804cd087b5bf5fbca3f20f7 SHA512 38b75fc2dd522d58639213ac7c135af7821ad53d3799a028bfd995f9a5e67a251a0d5255105e42790b78edb0450a336dc87fefb1dc67486b13d4271bd98d411e
DIST httpx-socks-0.12.0.gh.tar.gz 15571 BLAKE2B b261fcc71b286964f4d9691a17bef0df3adad9857484fb2806155cea74fa2dd78258c0a3ac423d910d722bd0e83940bccc64f53b767a3130306d0e09bebdaa3a SHA512 40ce9b3609e4967356315f47b520567cacd072c137231632df61d845d5d17d7dc94895bdab93ec35473cdd244451c889761ee2a63854f11ba4c4bc73551995be
DIST httpx-socks-0.13.0.gh.tar.gz 178919 BLAKE2B 46e5c497a6849b414493a2c56ff2773a0b5e5e82987dceab83d700c9086ec78a06453b6907aa929407a7c55154a724daaf4d8628c97cfb75e010f25d964c93e2 SHA512 95b4e6d38796ce2d0d887f3cc525b896e1a7bfafa7b285fdb069261cde54fe06c92b52cef6a9cfdf866f9101061ec8c7af89be6198703bcedf00a3faffb0dc07
+DIST httpx-socks-0.13.1.gh.tar.gz 178897 BLAKE2B c63efd383f8c3cdbb4c1e40d1a281d0d5af8509840f1e7c2e1d4a126daa461afe2c64e42115379e1b2c726fb2d6910588467d626df4cb71703c51ecd22083ef0 SHA512 62d1e459d611038ca2b872ad6afeeac68e9de78223fd012e9e21d7c2f479142e4f57721cb8ef98e999ffe503c647d4e4f3857113e62d1598476bcb8054dbb812
diff --git a/dev-python/httpx-socks/httpx-socks-0.13.1.ebuild b/dev-python/httpx-socks/httpx-socks-0.13.1.ebuild
new file mode 100644
index 000000000000..a44941cb9683
--- /dev/null
+++ b/dev-python/httpx-socks/httpx-socks-0.13.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+DESCRIPTION="Proxy (HTTP, SOCKS) transports for httpx"
+HOMEPAGE="
+ https://github.com/romis2012/httpx-socks/
+ https://pypi.org/project/httpx-socks/
+"
+# no tests in sdist, as of 0.7.6
+SRC_URI="
+ https://github.com/romis2012/httpx-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/httpx-0.28.0[${PYTHON_USEDEP}]
+ >=dev-python/httpcore-1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-socks-2.4.3[${PYTHON_USEDEP}]
+ >=dev-python/sniffio-1.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/hypercorn-0.14.3[${PYTHON_USEDEP}]
+ >=dev-python/starlette-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/tiny-proxy-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.30[${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.6.3[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( anyio pytest-{asyncio,trio} )
+EPYTEST_RERUNS=5
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin dependencies
+ sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+
+ distutils-r1_src_prepare
+}